pfilestat(1m)

NAME
pfilestat - show I/O latency break down by FD. Uses DTrace.

SYNOPSIS
pfilestat [-r|-w] pid

DESCRIPTION
This prints I/O statistics for each file descriptor within a process. In particular, the time break down during read() and write() events is measured. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
unstable - this script uses fbt provider probes which may change for future updates of the OS, invalidating this script. Please read Docs/Notes/ALLfbt_notes.txt for further details about these fbt scripts.

OPTIONS

-r  reads only

-w  writes only

pid process ID to examine

EXAMPLES

Sample both read and write activity for PID 81,
    # pfilestat 81

Sample reads only for PID 81,
    # pfilestat -r 81

FIELDS

STATE
    microstate. see STATES below.

FDUM
    file Descriptor ID

Time
    percentage of wallclock time in each STATE

File
    Name of file, if known

STATES

read
    Time spent during the execution of the read() syscall.

write
    Time spent during the execution of the write() syscall.

waitcpu
    Latency spent waiting to be scheduled after becoming runnable.

running
    Process running user-mode code.

sleep-r
    Process sleeping on reads.

sleep-w
    Process sleeping on writes.

DOCUMENTATION
pfilestat is discussed and demonstrated in Solaris Internals 2nd edition, volume 2. See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
pfilestat will sample until Ctrl-C is hit.

AUTHOR
Richard McDougall

SEE ALSO
dtrace(1M)